body {
    font-family: 'Nunito', -apple-system, BlinkMacSystemFont, "Arial", sans-serif !important;
}

h1 {
    font-size: 16px;
    margin-top: 0;
}

p {
    color: rgb(107, 114, 128);
    font-size: 15px;
    margin-bottom: 10px;
    margin-top: 5px;
}

.has-sidebar {
    padding-left: 17rem;
    /* 256px = w-64 */
}

.card {
    max-width: 620px;
    margin: 0 auto;
    padding: 16px;
    border: 1px solid lightgray;
    border-radius: 16px;
}

.card p:last-child {
    margin-bottom: 0;
}

/* Em seu style.css ou diretamente no HTML */
.custom-scrollbar::-webkit-scrollbar {
    width: 8px;
}

.custom-scrollbar::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
    background: #555;
}

html.dark .custom-scrollbar::-webkit-scrollbar-track {
    background: #333;
}

html.dark .custom-scrollbar::-webkit-scrollbar-thumb {
    background: #666;
}

html.dark .custom-scrollbar::-webkit-scrollbar-thumb:hover {
    background: #aaa;
}

/* Classe reutilizável para imagens responsivas */
.img-responsive {
    max-width: 100%;
    display: block;
}

/* Para imagens em tags img */
img.img-responsive {
    width: 100%;
    object-fit: contain;
}

/* Para imagens de background em section e div */
section.img-responsive,
div.img-responsive {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
}

.menu a {
    font-weight: 800;
}

.wallpaper {
    background-image: url('../images/wallpaper.png');
    background-position: right;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Responsividade adicional para diferentes tamanhos de tela */
@media (max-width: 768px) {

    section.img-responsive,
    div.img-responsive {
        background-size: cover;
    }
}

@media (max-width: 480px) {

    section.img-responsive,
    div.img-responsive {
        background-size: cover;
    }
}

@media (max-width: 1024px) {
    .has-sidebar {
        padding-left: 0;
    }
}

/** override tailwind css */
.bg-primary-500:not(:hover),
.bg-primary-500:hover:not([class*="hover:bg-primary"]):not([class*="hover:bg-gray"]):not([class*="hover:bg-indigo"]):not([class*="hover:bg-blue"]):not([class*="hover:bg-green"]):not([class*="hover:bg-red"]):not([class*="hover:bg-yellow"]):not([class*="hover:bg-orange"]):not([class*="hover:bg-purple"]) {
    background-color: #7000db !important;
}

.bg-primary-600:not(:hover),
.bg-primary-600:hover:not([class*="hover:bg-primary"]):not([class*="hover:bg-gray"]):not([class*="hover:bg-indigo"]):not([class*="hover:bg-blue"]):not([class*="hover:bg-green"]):not([class*="hover:bg-red"]):not([class*="hover:bg-yellow"]):not([class*="hover:bg-orange"]):not([class*="hover:bg-purple"]) {
    background-color: #6100bb !important;
}